Skip to main content
`Ctrl`+`K`

# GTK4

GTK is a library for creating graphical user interfaces. The main objects of GTK are “widgets” which are components such as buttons, text input, or windows.

Contents

- Getting Started
  - Basic Example
  - Extended Example
- GTK4 Basics
  - Main loop and Signals
  - Properties
- Application
  - Actions
  - Menus
  - Command Line
  - Example
- Layout Containers
  - Boxes
  - CenterBox
  - HeaderBar
  - Grid
  - ListBox
  - FlowBox
  - Stack and StackSwitcher
  - Notebook
- Controls
  - Entries
  - Buttons
  - Check & Radio Buttons
  - SpinButton
  - Switch
  - DropDown
  - Scale
- Display Widgets
  - Label
  - Image
  - Picture
  - ProgressBar
  - Spinner
- Popovers
  - Custom Popover
  - Menu Popover
- Text View
  - The View
  - The Model
  - Tags
  - Example
- Clipboard
  - Example
- Drag and Drop
  - Drag sources
  - Drop targets
  - Example